%global pypi_name blackboxprotobuf

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Library for reading protobuf buffers without .proto definitions

License:        MIT License
URL:            https://github.com/ydkhatri/blackboxprotobuf
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%{?python_disable_dependency_generator}

%description
Blackbox protobuf library is a Python module for decoding and re-encoding
protobuf messages without access to the source protobuf descriptor file.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(protobuf) >= 3.5.0
%description -n python3-%{pypi_name}
Blackbox protobuf library is a Python module for decoding and re-encoding
protobuf messages without access to the source protobuf descriptor file.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Nov 30 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 1.0.1-1
- Initial package
